/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $ID: PantherProxy.java,v 1.6 2001/06/12 20:58:43 burton Exp $
 * $Project: http://panther.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/panther/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * ---- 
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 * 
 */

package org.openprivacy.panther.factories;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.resources.*;

import org.openprivacy.panther.components.*;
import org.openprivacy.panther.implementations.*;

/**
 * Remote proxy interface for URL/resource caching/fetching.
 *
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: ProxyFactory.java,v 1.3 2001/06/18 07:48:08 burton Exp $
 */
public class ProxyFactory  {

    private static final ComponentHandle HANDLE =
        new ComponentHandle( PantherProxy.class ).setLifetime( ComponentHandle.LIFETIME_SINGLETON );
    
    public static Proxy getInstance( ResourceMapper mapper ) throws TalonException {

        Proxy proxy = (Proxy)ComponentFactory.getInstance( HANDLE );

        proxy.setResourceMapper( mapper );
        
        return proxy;
        
    }

}
