/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $ID: PantherProxy.java,v 1.6 2001/06/12 20:58:43 burton Exp $
 * $Project: http://panther.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/panther/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * ---- 
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 * 
 */

package org.openprivacy.panther.implementations;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.resources.*;
import talon.util.net.*;

import org.openprivacy.panther.components.*;
import org.openprivacy.panther.implementations.memory.*;
import org.openprivacy.panther.implementations.xml.*;
import org.openprivacy.panther.util.*;

import javax.xml.transform.*;
import javax.xml.transform.stream.*;

/**
 * Provide an implementation of the TrAX URIResolver class.
 *
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: PantherURIResolver.java,v 1.2 2001/07/25 02:36:22 burton Exp $
 */
public class PantherURIResolver implements URIResolver {

    private Proxy proxy = null;
    
    public PantherURIResolver( Proxy proxy ) {

        this.proxy = proxy;

    }

    /**
     * @see URIResolver
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: PantherURIResolver.java,v 1.2 2001/07/25 02:36:22 burton Exp $
     */
    public Source resolve( String href, String base ) throws TransformerException {

        try {
        
            String identifier = href;

            return new StreamSource( proxy.get( href ).getInputStream() );

        } catch ( IOException e ) {

            e.printStackTrace();
            throw new TransformerException( e.getMessage() );
            
        } 

    }
    
}
