/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $ID: PantherProxy.java,v 1.6 2001/06/12 20:58:43 burton Exp $
 * $Project: http://panther.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/panther/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * ---- 
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 * 
 */

package org.openprivacy.panther.implementations;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.components.*;
import talon.resources.*;
import talon.util.*;
import talon.util.net.*;

import org.openprivacy.panther.components.*;
import org.openprivacy.panther.implementations.xml.*;
import org.openprivacy.panther.util.*;

/**
 * Thread which performs cache updates.
 *
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: UpdateThread.java,v 1.5 2001/08/09 23:52:46 burton Exp $
 */
public class UpdateThread extends Thread {

    private String location = "";

    private Logger logger = Log.getLogger( this );
    
    public UpdateThread( String location ) {

        super( location );

        this.location = location;

    }
    
    public void run() {

        logger.debug( "Panther: Running thread to update: " + location );
        
        try {

            UpdateHandler uh = new UpdateHandler( location );

        } catch ( Exception e ) {

            try {

                ProxyEntry currentEntry = ProxyEntryManager.getInstance().get( location );


                currentEntry.setLastMessage( "Could not update this cache entry: " + e.getMessage() );

            } catch ( IOException ioe) {

                //this is acceptable.... if this runs without an entry it will
                //throw an exception.
            
            } 
            
        } 
        
    }

}
