/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $ID: PantherProxy.java,v 1.6 2001/06/12 20:58:43 burton Exp $
 * $Project: http://panther.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/panther/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * ---- 
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 * 
 */

package org.openprivacy.panther.implementations.memory;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.resources.*;
import talon.util.net.*;

import org.openprivacy.panther.components.*;
import org.openprivacy.panther.util.*;

/**
 * Simple memory cache mechanism for keeping URL content in memory.
 *
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: MemoryCache.java,v 1.4 2002/07/17 03:56:01 burton Exp $
 */
public class MemoryCache {

    private static Hashtable cache = new Hashtable();

    public static void store( String location, byte[] data ) {

        cache.put( location, data );
        
    }

    public static InputStream fetch( String location ) {

        byte[] content = (byte[])cache.get( location );
        
        return new ByteArrayInputStream( content );
                
    }

    public static void flush( String location ) {

        cache.remove( location );
        
    }
    
    public static boolean contains( String location ) {

        return cache.contains( location );

    }
    
}

