/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $ID: PantherProxy.java,v 1.6 2001/06/12 20:58:43 burton Exp $
 * $Project: http://panther.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/panther/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * ---- 
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 * 
 */

package org.openprivacy.panther.implementations.operations;

import java.io.*;
import java.net.URL;
import java.util.*;

import talon.*;
import talon.resources.*;
import talon.util.net.*;

import org.openprivacy.panther.components.*;
import org.openprivacy.panther.implementations.*;
import org.openprivacy.panther.implementations.memory.*;
import org.openprivacy.panther.implementations.xml.*;
import org.openprivacy.panther.util.*;

/**
 * Utility class for checking if the cache contains the given location/URL.
 * This tries to be smart and only checks on disk when necessary.
 *
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: Contains.java,v 1.2 2002/02/26 01:38:34 burton Exp $
 */
public class Contains {
    
    /**
     * Instance member for <code>Contains</code>
     */
    private static Contains instance = null;

    //keeps track of URLs we have checked for on disk once...
    private Vector checked = new Vector();

    private Proxy proxy = null;
    
    /**
     * 
     * Create a new <code>Contains</code> instance.
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Contains.java,v 1.2 2002/02/26 01:38:34 burton Exp $
     */
    public Contains( Proxy proxy ) {
        
        this.proxy = proxy;
        
    }

    
    /**
     * 
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Contains.java,v 1.2 2002/02/26 01:38:34 burton Exp $
     */
    public boolean contains( String location ) {

        try {

            //if we can fetch it's entry... it exists.
            ProxyEntryManager.getInstance().get( location );

            return true;
            
        } catch ( Exception e ) {

//              //FIXME: we need to at least attempt to pull this of disk once.

//              if ( checked.contains( location ) == false ) {

//                  //try to use the FetchHandler to pull this out...

//                  try {

//                      FetchHandler fetch = new FetchHandler( location );

//                      //if it was fetched... add it to the ProxyEntryManager

//                      ProxyEntry entry = fetch.getProxyEntry();

//                      if ( entry.getFile().exists() ) {

//                          ProxyEntryManager.getInstance().set( location, entry );

//                          return true;
                        
//                      } else {

//                          return false;

//                      }
                    
//                  } catch ( Exception e2 ) {

//                      //we don't have it on disk either.
                    
//                      return false;
                    
//                  } 
                
//              } 
            
            return false;
            
        } 

    }
    
    /**
     * 
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Contains.java,v 1.2 2002/02/26 01:38:34 burton Exp $
     */
    public boolean contains( URI location ) {

        return contains( location.toString() );
        
    }
    
    /**
     * 
     * Get an instance of the <code>Contains</code>.
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Contains.java,v 1.2 2002/02/26 01:38:34 burton Exp $
     */
    public static Contains getInstance( Proxy proxy ) {
        
        if ( instance == null ) {
            
            instance = new Contains( proxy );
            
        }
        
        return instance;
        
    }
    
}
