/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $ID: PantherProxy.java,v 1.6 2001/06/12 20:58:43 burton Exp $
 * $Project: http://panther.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/panther/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * ---- 
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 * 
 */

package org.openprivacy.panther.util;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.components.*;
import talon.resources.*;
import talon.util.net.*;

import org.openprivacy.panther.components.*;

/**
 * Class which allows you to group together proxy entries and perform certain
 * operations on the group as a whole.
 *
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: ProxyEntryGroup.java,v 1.1 2001/08/13 07:11:50 burton Exp $
 */
public class ProxyEntryGroup {

    private Vector entries = new Vector();
    
    /**
     * Remove an entry.
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: ProxyEntryGroup.java,v 1.1 2001/08/13 07:11:50 burton Exp $
     */
    public void remove( ProxyEntry entry ) {

        this.entries.removeElement( entry );

    }    
    
    /**
     * Add an entry.
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: ProxyEntryGroup.java,v 1.1 2001/08/13 07:11:50 burton Exp $
     */
    public void add( ProxyEntry entry ) {

        this.entries.addElement( entry );

    }
    
    /**
     * Return true if any ProxyEntry in this group has changed.
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: ProxyEntryGroup.java,v 1.1 2001/08/13 07:11:50 burton Exp $
     */
    public boolean hasChanged() {

        Enumeration enum = entries.elements();

        while ( enum.hasMoreElements() ) {

            ProxyEntry current = (ProxyEntry)enum.nextElement();

            if ( current.hasChanged() )
                return true;            
            
        } 

        return false;
        
    }
    
}
